Desvincular relación bidireccional
Separa un par de campos de relación sin modificar los valores de los registros.
curl --request POST \
--url https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink \
--header 'x-ib-api-key: <api-key>'import requests
url = "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink"
headers = {"x-ib-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-ib-api-key': '<api-key>'}};
fetch('https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'POST', headers: {'x-ib-api-key': '<api-key>'}};
fetch('https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink';
const options = {method: 'POST', headers: {'x-ib-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink")
.header("x-ib-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-ib-api-key", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-ib-api-key", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-ib-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-ib-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-ib-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink")
.post(null)
.addHeader("x-ib-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-ib-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))$headers=@{}
$headers.Add("x-ib-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink' -Method POST -Headers $headers{
"name": "<string>",
"key": "<string>",
"type": "string",
"id": "<string>",
"required": false,
"description": "<string>",
"defaultValue": "<unknown>",
"dateConfig": {
"includeTime": false
},
"options": [
{
"label": "<string>",
"id": "<string>",
"color": "<string>",
"order": 1
}
],
"toDatabaseId": "<string>",
"displayFieldId": "<string>",
"bidirectional": false,
"inverseField": {
"id": "<string>",
"name": "<string>",
"key": "<string>",
"type": "relation_single",
"displayFieldId": "<string>"
},
"relationFieldId": "<string>",
"targetFieldId": "<string>",
"multipleValuesBehavior": "allValues",
"maxFiles": 2,
"accept": [
"<string>"
],
"numberFormat": {
"type": "none",
"currencyCode": "USD",
"decimalPlaces": 2,
"thousandsSeparator": true
},
"pdfTemplateConfig": {
"buttonLabel": "<string>",
"templates": [
{
"id": "<string>",
"name": "<string>",
"orientation": "portrait",
"fileNameTemplate": "<string>"
}
]
},
"inverseFieldId": "<string>",
"relationPairId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}Endpoint
POST /databases/{databaseId}/fields/{fieldId}/unlink
Ejemplo de solicitud
curl -X POST "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink" \
-H "x-ib-api-key: TU_API_KEY"
Respuesta exitosa (200)
Devuelve el campo fuente sin la configuración del par bidireccional.
{
"id": "<field-id>",
"key": "cliente",
"name": "Cliente",
"type": "relation_single",
"toDatabaseId": "<target-database-id>",
"bidirectional": false
}
Errores frecuentes
| HTTP | Qué significa | Qué hacer |
|---|---|---|
400 | El campo no pertenece a un par bidireccional válido. | Consulta el tablero y revisa la configuración del campo. |
403 | Tu integración no puede modificar uno de los tableros. | Confirma el acceso. |
404 | El tablero o el campo no existe. | Confirma los IDs. |
Authorizations
API key de Insurance Boosters.
Path Parameters
ID del tablero.
ID inmutable del campo.
Response
Relación desvinculada.
Nombre visible del campo.
1Clave estable; se genera desde name si la omites.
^[a-z][a-zA-Z0-9]*(?:_[a-z0-9]+)*$Tipo inmutable después de crear el campo.
string, number, boolean, date, enum, enum_multi, relation_single, relation_multi, contact_single, contact_multi, lookup, files, pdf_template Marca el campo como obligatorio en el esquema y en la captura del tablero.
Valor predeterminado para tipos compatibles.
Configuración de presentación cuando type es date.
Show child attributes
Show child attributes
Requerido para enum y enum_multi.
1Show child attributes
Show child attributes
Requerido para campos de relación.
Campo mostrado en relaciones o contactos.
Vincula un campo existente con id o crea uno nuevo con name y type.
Show child attributes
Show child attributes
Requerido para lookup.
Requerido para lookup.
Requerido para lookup.
allValues, uniqueValues, firstValue, lastValue Máximo de archivos cuando type es files.
x >= 1Tipos MIME aceptados cuando type es files.
Show child attributes
Show child attributes
Requerido cuando type es pdf_template.
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink \
--header 'x-ib-api-key: <api-key>'import requests
url = "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink"
headers = {"x-ib-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-ib-api-key': '<api-key>'}};
fetch('https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'POST', headers: {'x-ib-api-key': '<api-key>'}};
fetch('https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink';
const options = {method: 'POST', headers: {'x-ib-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink")
.header("x-ib-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-ib-api-key", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-ib-api-key", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-ib-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-ib-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-ib-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink")
.post(null)
.addHeader("x-ib-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-ib-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))$headers=@{}
$headers.Add("x-ib-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.insuranceboosters.com/api/v1/databases/{databaseId}/fields/{fieldId}/unlink' -Method POST -Headers $headers{
"name": "<string>",
"key": "<string>",
"type": "string",
"id": "<string>",
"required": false,
"description": "<string>",
"defaultValue": "<unknown>",
"dateConfig": {
"includeTime": false
},
"options": [
{
"label": "<string>",
"id": "<string>",
"color": "<string>",
"order": 1
}
],
"toDatabaseId": "<string>",
"displayFieldId": "<string>",
"bidirectional": false,
"inverseField": {
"id": "<string>",
"name": "<string>",
"key": "<string>",
"type": "relation_single",
"displayFieldId": "<string>"
},
"relationFieldId": "<string>",
"targetFieldId": "<string>",
"multipleValuesBehavior": "allValues",
"maxFiles": 2,
"accept": [
"<string>"
],
"numberFormat": {
"type": "none",
"currencyCode": "USD",
"decimalPlaces": 2,
"thousandsSeparator": true
},
"pdfTemplateConfig": {
"buttonLabel": "<string>",
"templates": [
{
"id": "<string>",
"name": "<string>",
"orientation": "portrait",
"fileNameTemplate": "<string>"
}
]
},
"inverseFieldId": "<string>",
"relationPairId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}
